List all contacts with optional search filtering.

View as Markdown

Authentication

X-API-Keystring

API Key authentication. Generate your API key in the Gail Portal under General > Integrations > API Keys.

Query parameters

searchstringOptional
Optional search term to filter contacts by name, phone, or email.
afterstringOptionalformat: "uuid"
A GUID cursor to fetch items strictly after this ID.
beforestringOptionalformat: "uuid"
A GUID cursor to fetch items strictly before this ID.
limitintegerOptionalDefaults to 50

Maximum number of items to retrieve (default 50).

pageintegerOptionalDefaults to 1Deprecated

The page number (1-based).

sizeintegerOptionalDefaults to 50Deprecated

Number of items per page (default 50).

Request

Pagination parameters.

Response

OK
datalist of objects or nullOptional
totalinteger or nullOptional
pageinteger or nullOptional
sizeinteger or nullOptional
pagesinteger or nullOptional